
/**
 * A demonstration application to be used as a start for homework #1
 * for CMSC 427 - Spring 2000.
 * 
 * @author Ben Bederson
 * @date January 25, 2000
 * 
 * Turned in by Justin Gaertner
 * login:  bb42708
 *
 * Turned in as part of Homework 2, Feb. 15, 2000.
 * 
 */
import java.awt.*;
import java.awt.event.*;

/**
 * The CircleDrawing class is a placeholder to actually draw circles. It simply
 * creates a window with a drawing panel.
 */
public class CircleDrawing extends Frame	
{
	Checkbox cb;
	public CircleDrawing() {
		setBounds(100, 100, 400, 400);    // Define the window dimensions
		Panel panel = new CircleDrawingPanel(); // Create the drawing panel
		panel.setBounds(0, 0, 400, 400);  // Set the drawing panel size
		add(panel);  // Add the drawing panel to the window
		setVisible(true);                 // Make the whole thing visible

		// We must define this event handler
		// to capture clicks on the "X" to
		// exit the program.
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {				
				System.exit(0);
			}
			});
	}
	
	/**
	 * This gets called when the application starts up. The first thing
	 * we do is create an instance of the main class.
	 */
	public static void main(String[] args)
	{
		new CircleDrawing();
	}
}
